API changes for v2 API, June 12 to June 19
This week's update to the mittwald API includes a reduction of the minimum values for the 'limit' and 'page' query parameters to '0.00' across multiple endpoints, the addition of required properties to responses, and the introduction of a new optional request parameter, enhancing flexibility and usability for developers.
Summary
-
The minimum value for the
limitrequest parameter has been decreased from1.00to0.00for the following operations:POST /v2/actions/list-ingresses-compatible-with-certificateGET /v2/app-installationsGET /v2/appsGET /v2/articlesGET /v2/contributorsGET /v2/contributors/{contributorId}/extensionsGET /v2/contributors/{contributorId}/invoices/incomingGET /v2/contributors/{contributorId}/webhook-executionsGET /v2/conversationsGET /v2/customersGET /v2/customers/{customerId}/contractsGET /v2/customers/{customerId}/invoicesGET /v2/customers/{customerId}/leadsGET /v2/customers/{customerId}/unlocked-leadsGET /v2/customers/{customerId}/unlocked-leads-exportsGET /v2/domainsGET /v2/extension-instancesGET /v2/extensionsGET /v2/ingressesGET /v2/mail-addresses/GET /v2/notificationsGET /v2/ordersGET /v2/projectsGET /v2/projects/{projectId}/app-installationsGET /v2/projects/{projectId}/backupsGET /v2/projects/{projectId}/cronjobsGET /v2/projects/{projectId}/delivery-boxesGET /v2/projects/{projectId}/licensesGET /v2/projects/{projectId}/mail-addressesGET /v2/projects/{projectId}/registriesGET /v2/projects/{projectId}/servicesGET /v2/projects/{projectId}/stacksGET /v2/projects/{projectId}/volumesGET /v2/serversGET /v2/stacksGET /v2/system-softwaresGET /v2/users/self/api-tokensGET /v2/users/self/sessionsGET /v2/users/self/ssh-keys
-
The minimum value for the
pagerequest parameter has been decreased from1.00to0.00for the following operations:POST /v2/actions/list-ingresses-compatible-with-certificateGET /v2/app-installationsGET /v2/appsGET /v2/articlesGET /v2/contributorsGET /v2/contributors/{contributorId}/extensionsGET /v2/contributors/{contributorId}/invoices/incomingGET /v2/contributors/{contributorId}/webhook-executionsGET /v2/conversationsGET /v2/customersGET /v2/customers/{customerId}/contractsGET /v2/customers/{customerId}/invoicesGET /v2/customers/{customerId}/leadsGET /v2/customers/{customerId}/unlocked-leadsGET /v2/customers/{customerId}/unlocked-leads-exportsGET /v2/domainsGET /v2/extension-instancesGET /v2/extensionsGET /v2/ingressesGET /v2/mail-addresses/GET /v2/notificationsGET /v2/ordersGET /v2/projectsGET /v2/projects/{projectId}/app-installationsGET /v2/projects/{projectId}/backupsGET /v2/projects/{projectId}/cronjobsGET /v2/projects/{projectId}/delivery-boxesGET /v2/projects/{projectId}/licensesGET /v2/projects/{projectId}/mail-addressesGET /v2/projects/{projectId}/registriesGET /v2/projects/{projectId}/servicesGET /v2/projects/{projectId}/stacksGET /v2/projects/{projectId}/volumesGET /v2/serversGET /v2/stacksGET /v2/system-softwaresGET /v2/users/self/api-tokensGET /v2/users/self/sessionsGET /v2/users/self/ssh-keys
-
The required property
/items/ips/v6has been added to the response with the200status for the following operations:POST /v2/actions/list-ingresses-compatible-with-certificateGET /v2/ingresses
-
The required property
ips/v6has been added to the response with the200status for the operationGET /v2/ingresses/{ingressId}. -
A new optional request parameter
Accept-Languagehas been added for the operationGET /v2/cronjobs/{cronjobId}/executions/{executionId}/analysis. -
The non-success response with the status
412has been added for the operationPOST /v2/users/self/credentials/email/actions/resend-email. -
The following operations have had optional properties added to their responses with the
200status:GET /v2/projects/{projectId}/services- added/items/restartPolicyGET /v2/projects/{projectId}/stacks- added/items/services/items/restartPolicyGET /v2/stacks- added/items/services/items/restartPolicyGET /v2/stacks/{stackId}- addedservices/items/restartPolicyPATCH /v2/stacks/{stackId}- addedservices/items/restartPolicyPUT /v2/stacks/{stackId}- addedservices/items/restartPolicyGET /v2/stacks/{stackId}/services/{serviceId}- addedrestartPolicy
Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.
Detailed changes
Changes in "List Ingresses compatible with a certificate"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
-
added the required property '/items/ips/v6' to the response with the '200' status
For details, refer to the POST/ endpoint.
Changes in "List app installations that a user has access to"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List apps"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Articles"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List contributors"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Extensions of own contributor"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List incoming Invoices of a contributor"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List all Webhook Executions"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Get all conversation the authenticated user has created or has access to"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Get a cronjob execution analysis for failed executions"
- added the new optional 'header' request parameter 'Accept-Language'
For details, refer to the GET/ endpoint.
Changes in "Get all customer profiles the authenticated user has access to"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Return a list of Contracts for the given Customer"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Invoices of a Customer"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Get all leads. Use the unlocked routes for more lead details"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Get all unlocked leads. Organisation can unlock leads"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Get unlocked leads export history for the given customerId"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Domains"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List extension instances"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Extensions"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Ingresses"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
-
added the required property '/items/ips/v6' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get an Ingress"
- added the required property 'ips/v6' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List mail addresses"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List all unread notifications"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Get list of Orders"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Projects belonging to the executing user"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Get the activities of a project"
- endpoint added
For details, refer to the GET/ endpoint.
Changes in "List app installations belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Backups belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List cronjobs belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List delivery boxes belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Licenses belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List mail addresses belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Registries belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Services belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
-
added the optional property '/items/restartPolicy' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List Stacks belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
-
added the optional property '/items/services/items/restartPolicy' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List Volumes belonging to a Project"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Servers belonging to the executing user"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List Stacks belonging to the executing user"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
-
added the optional property '/items/services/items/restartPolicy' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get a Stack"
- added the optional property 'services/items/restartPolicy' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Create, update or delete Services or Volumes belonging to a Stack"
- added the optional property 'services/items/restartPolicy' to the response with the '200' status
For details, refer to the PATCH/ endpoint.
Changes in "Declaratively create, update or delete Services or Volumes belonging to a Stack"
- added the optional property 'services/items/restartPolicy' to the response with the '200' status
For details, refer to the PUT/ endpoint.
Changes in "Get a Service belonging to a Stack"
- added the optional property 'restartPolicy' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List Volumes belonging to a Stack"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List system softwares"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "List all of your ApiTokens"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Resend the mail address verification email"
- added the non-success response with the status '412'
For details, refer to the POST/ endpoint.
Changes in "List all sessions"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Changes in "Get your stored ssh-keys"
-
for the 'query' request parameter 'limit', the min was decreased from '1.00' to '0.00'
-
for the 'query' request parameter 'page', the min was decreased from '1.00' to '0.00'
For details, refer to the GET/ endpoint.
Client package releases
mittwald JavaScript SDK Release 4.388.0
The mittwald JavaScript SDK has been updated to version 4.388.0. This release includes the following feature:
- Updated the generated client to enhance functionality and performance (commit 2a3bd83).
For more details, visit the release page.
mittwald JavaScript SDK Release 4.387.0
The mittwald JavaScript SDK has been updated to version 4.387.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: mittwald JavaScript SDK 4.387.0.
mittwald JavaScript SDK Release 4.386.0
The mittwald JavaScript SDK has been updated to version 4.386.0. This release includes an update to the generated client, enhancing its functionality. For more details, you can view the release on GitHub: mittwald/api-client-js 4.386.0.
mittwald JavaScript SDK Release 4.385.0
The mittwald JavaScript SDK has been updated to version 4.385.0. This release includes the following feature:
- Updated the generated client to enhance functionality and performance (commit 5b85608).
For more details, please visit the release page.
mittwald JavaScript SDK Release 4.384.0
The mittwald JavaScript SDK has been updated to version 4.384.0. This release includes an update to the generated client. For more details, you can view the release on GitHub here.